Skip to content

Status By Name

GET
/api/public/names/{owner}/{agent_name}
curl --request GET \
--url https://agentauthority.org/api/public/names/example/example

The signed status of @username/agentname or @domain/agentname; the @ is optional.

The address is a pointer: the status is keyed by agent ID. A company’s other proven domains and old addresses in their 90-day hold answer 308 to the current address. 404 unless the address is public.

owner
required
Owner
string
agent_name
required
Agent Name
string
nonce
Any of:
string
/^[a-f0-9]{32}$/

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}